Page MenuHomePhabricator

Change errors on GC forms from popup to red text
Closed, ResolvedPublic2 Story Points

Description

On the credit card forms, we have some errors that display in a popup and some that display with red text next to the field. There are some inconsistencies we can't avoid because of the iframe, but let's move to using only red text and no popup. This will be better for mobile especially.

Current state: personal information errors in a popup, while on both WP and GC forms the CC part shows red outline and red text.

Desired state: use same styling from WP CC portion for all errors where we would've had a popup.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterRed Text validation messages

Event Timeline

atgo created this task.Jan 8 2015, 6:17 PM
atgo raised the priority of this task from to Normal.
atgo updated the task description. (Show Details)
atgo added a project: Fundraising-Backlog.
atgo added a subscriber: atgo.
CCogdill_WMF set Security to None.Feb 13 2015, 1:34 AM
CCogdill_WMF added a subscriber: CCogdill_WMF.
atgo updated the task description. (Show Details)Feb 17 2015, 11:14 PM

Removed/moved to Sprint F following conversation with Pizzzacat today about finishing up section of Dash stuff.

@K4-713 to comment with more details about the current way this works (front end vs. back end)

atgo renamed this task from Change errors on credit card forms from popup to red text to Change errors on GC forms from popup to red text.Mar 11 2015, 10:59 PM
atgo updated the task description. (Show Details)
atgo added a subscriber: awight.

@awight to associate blocking tasks (new templating engine)

atgo edited a custom field.Mar 18 2015, 11:25 PM

The plan is to use the mustache module as opposed to the new mediawiki core release

Here's the dependency from mediawiki-core/composer.json:

"zordius/lightncandy": "0.18"

I am splitting this into two cards since there is preliminary refactoring that needs to be done before the validation part is done.

pizzzacat edited a custom field.Apr 13 2015, 8:31 PM
atgo removed pizzzacat as the assignee of this task.May 12 2015, 6:59 PM
atgo assigned this task to XenoRyet.

Upon investigation it appears the alert box error reporting we're trying to change here is in use for all RapidHTML forms, and not just GlobalCollect. Is changing to the red text style errors something we want to propagate that widely?

Yes, I think that's a great idea. We think that the popups are much less
clear and we may be losing some donors. Thanks!

Change 217158 had a related patch set uploaded (by XenoRyet):
WIP Do not Merge: Red Text validation messages

https://gerrit.wikimedia.org/r/217158

Uploading some screenshots so @MeganHernandez_WMF can review before deployment...

GlobalCollect:

WorldPay:

Thank you! So great this is happening.

One thing I noticed is that we label postal/zip code differently in the field label and error message. Can we have those match?

@CCogdill_WMF can you do a spot check QA of the error messages?

The error message is drawing 'zip' from the field ID in the code. That makes it harder than it seems to change. I could kludge it and get it done, but it'll dirty up the code.

Changing the field text from 'postal' to 'zip' would be easer, but would also show up as 'zip' on the forms for Canada and Great Britain.

@awight, @MeganHernandez_WMF any thoughts on how to proceed?

@XenoRyet, it can be done in a follow-up patch, but I think one solution to the postal/zip thing might be to change the field name to postal-code, and make sure we map that correctly on the backend.

@awight, that's definitely the right way to do it. Just seemed out of scope for this task. Wasn't sure if it was important enough that we wanted a kludge to hold us over.

Good point, don't bother with a kludge. It's easy to wait to do the right fix in a later iteration. I totally agree with your instinct that anything not a regression caused by this work can wait.

Confirming that the message text all looks good other than the zip/postal issue, which you already caught, @MeganHernandez_WMF.

Thanks @XenoRyet, really excited to see this improvement.

Change 217158 merged by jenkins-bot:
Red Text validation messages

https://gerrit.wikimedia.org/r/217158

atgo closed this task as Resolved.Jul 8 2015, 10:39 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM